Bug 102002 - Redesign of the Load Styles dialog
Summary: Redesign of the Load Styles dialog
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0
Keywords: needsDevEval, needsUXEval, topicUI
: 120559 (view as bug list)
Depends on:
Blocks: Dialog Styles-Load 46550
  Show dependency treegraph
 
Reported: 2016-09-08 23:57 UTC by Yousuf Philips (jay) (retired)
Modified: 2021-12-04 12:49 UTC (History)
15 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-09-08 23:57:31 UTC
Writer has the Style > Load Style dialog which allows a user to import styles from templates or files, but the user experience isnt as useful as it could be for the intended target audience.

So here are a list of features that are needed to improve it.

1) The dialog needs to be accessible in all modules

2) A 'source' drop down list should be the first control a user interacts with and it has two entries in it for 'Templates' and 'Documents'

3) The template category listbox would have a first entry called 'All Categories', similar to the template manager, and the list would be disabled if source is set to 'Documents'.

4) When source is set to 'Documents', the templates listbox will list opened documents from the same module

5) When source is set to 'Documents', the 'From File...' will be enabled and selecting a file in the dialog will add its filename to the templates listbox

6) Instead of style type checkboxes to import all or none of the styles of a particular type, the selected file's styles will be shown in a tree view so a user can not only easily check and uncheck all of the styles of particular type, but can also select particular ones

7) The overwrite checkbox should be changed to a drop down list and have the options ignore, overwrite, and append to decide what to do with duplicate entries.

My only concern with these features is in number 6, as i wonder how resource intensive it is to parse a file's style structure. I'll leave it up to devs to give their input on how plausible it is, though it was a feature found in the template management dialog of the template manager in LO 3.6.
Comment 1 V Stuart Foote 2016-09-09 00:26:35 UTC
Yes, reasonable in ongoing efforts in making structuring documents with styles the norm rather than exception. 

Of course it needs to be available and consistent UI across all modules, not just Writer.
Comment 2 Jean-Baptiste Faure 2016-09-10 08:53:13 UTC
Set the same priority as bug 60589.

Best regards. JBF
Comment 3 Heiko Tietze 2016-09-12 07:17:11 UTC
(In reply to Jean-Baptiste Faure from comment #2)
> Set the same priority as bug 60589.

Highest priority? The dialog is not convenient but it works well within the designed limits. "Medium" sounds enough to me (not meaning the UX team should wait for Godot to come up with a good proposal).
Comment 4 Jean-Baptiste Faure 2016-09-12 08:34:57 UTC
(In reply to Heiko Tietze from comment #3)
> (In reply to Jean-Baptiste Faure from comment #2)
> > Set the same priority as bug 60589.
> 
> Highest priority? 

Yes, because it replace a bug report about a regression that was marked as highest priority. Lowering the priority of this "enhancement" will have effect to hide this regression to developers. An essential functionality for the use of styles has been removed with the new templates manager and it is very important to restore this functionality as soon as possible. For me this functionality is more important than the templates manager itself because many users never use templates. To design a new document they use another similar document. No need to manage templates for that. But when you need to apply a style in a document that is defined in another document, it is very complicated and time consuming.

Best regards. JBF
Comment 5 Cor Nouws 2016-09-12 09:05:33 UTC
(In reply to Jean-Baptiste Faure from comment #4)

> Yes, because it replace a bug report about a regression that was marked as
> highest priority. Lowering the priority of this "enhancement" will have
> effect to hide this regression to developers. An essential functionality for
> the use of styles has been removed with the new templates manager and it is
> very important to restore this functionality as soon as possible. For me
> this functionality is more important than the templates manager itself
> because many users never use templates. To design a new document they use
> another similar document. No need to manage templates for that. But when you
> need to apply a style in a document that is defined in another document, it
> is very complicated and time consuming.


+1
Comment 6 Regina Henschel 2016-09-16 08:18:16 UTC
I disagree with component "Writer". The problem, that the tool to import single styles is lost and no replacement is implemented, exists for Draw, Impress and Calc too.
Comment 7 Heiko Tietze 2016-09-16 08:27:05 UTC Comment hidden (no-value)
Comment 8 Regina Henschel 2016-09-16 09:15:40 UTC
This issue is replacement for bug 60589, which covers all modules. If the current Load Style dialog cannot be "redesigned" to restore the lost functionality for all modules, a different solution is needed. The summary might better read "restore tool to copy single styles".
Comment 9 Xisco Faulí 2018-10-15 12:15:49 UTC
*** Bug 120559 has been marked as a duplicate of this bug. ***
Comment 10 Xisco Faulí 2019-05-15 15:39:19 UTC
Although this request is much appreciated to have, I think we can leave without it too, Changing importance to High
Comment 11 Ben_sherman 2019-06-04 14:09:41 UTC Comment hidden (spam)
Comment 12 Ben_sherman 2019-06-04 14:10:42 UTC Comment hidden (spam)
Comment 13 Ben_sherman 2019-06-04 14:11:56 UTC Comment hidden (obsolete, spam)
Comment 14 Xisco Faulí 2019-11-29 13:28:40 UTC
Changing priority back to 'medium' since the number of duplicates is lower than 5
Comment 15 sdc.blanco 2020-12-28 17:57:10 UTC
While we are waiting for the more sophisticated redesign proposed here--

here is a proposal for more immediate changes to the existing "Load Styles" dialog.

1.  Change name of dialog box and command to:

(dialog box) "Load Styles from Template"
(command) "Load Styles..." --> "Load Styles from Template" 

(Reason: see bug 130719, comment 9)

2. Change checkbox labels in dialog box to correspond exactly to names used for icons at top of Styles Sidebar

"Text" -->  "Paragraph and Character"
"Pages" --> "Page"
"Numbering" --> "List"

(Reason: removes ambiguity about what styles are being loaded)

3.  Change "Overwrite" label

"Overwrite" --> "Overwrite styles with same name"

Alternative:  Use "Overwrite styles with same name" as tooltip  for "Overwrite"
At present there is only an extended tooltip).

(Reason: to make more explicit what is being overwritten)
Comment 16 Heiko Tietze 2021-01-11 06:16:42 UTC
(In reply to sdc.blanco from comment #15)
> While we are waiting for the more sophisticated redesign proposed here--
> 
> here is a proposal for more immediate changes to the existing "Load Styles"
> dialog.

Good idea.
 
> Alternative:  Use "Overwrite styles with same name" as tooltip  for
> "Overwrite"
Short labels are better.
Comment 17 Commit Notification 2021-01-13 13:09:29 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e58b2365e6ec962d8832636283b1e74b5c0246c6

tdf#102002 update labels and tooltip in 'Load Styles' dialog box

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 sdc.blanco 2021-01-14 16:30:09 UTC
Removing myself from Assigned (in relation to the OP), but will try to add tooltips for the other checkboxes in the existing Load Styles dialog.
Comment 19 Commit Notification 2021-01-20 07:48:02 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/eac9aa85802fcec2e2941b2c72f08ba0ff448bcf

tdf#102002 add tooltips for styles checkboxes

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 BogdanB 2021-12-03 14:13:17 UTC
What is the status of this bug? It appears as new, but also looks like it was resolved in 7.2.
Seth Chaikli, do you have any info? Is this bug really solved?
Comment 21 sdc.blanco 2021-12-04 12:49:57 UTC
(In reply to BogdanB from comment #20)
> Is this bug really solved?
Not even close. My patch only improved labels in existing design. The OP proposes many features that are not present in the current Load Styles dialog.